__ZZIP_PARSE_ROOT_DI(3)

NAME
__zzip_parse_root_directory - internal.

SYNOPSIS

#include <zzip/lib.h>

int __zzip_parse_root_directory((int fd, struct _disk_trailer *trailer, struct zzip_dir_hdr **hdr_return, zzip_plugin_io_t io, zzip_off_t filesize));

DESCRIPTION

The __zzip_parse_root_directory function is used by zzip_file_open, it is usually called after __zzip_find_disk_trailer. It will parse the zip's central directory information and create a zziplib private directory table in memory.

AUTHOR

    • Guido Draheim <guidod@gmx.de> Tomi Ollila <too@iki.fi>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)